Mailinglist Archive: opensuse-updates (200 mails)

< Previous Next >
openSUSE-SU-2013:1046-1: moderate: update for libXp
openSUSE Security Update: update for libXp
______________________________________________________________________________

Announcement ID: openSUSE-SU-2013:1046-1
Rating: moderate
References: #815451 #821668
Cross-References: CVE-2013-2062
Affected Products:
openSUSE 12.3
openSUSE 12.2
______________________________________________________________________________

An update that solves one vulnerability and has one errata
is now available.

Description:

This update of libXp fixes several integer overflow issues:
-
U_0001-integer-overflow-in-XpGetAttributes-XpGetOneAttribut.
patch,
U_0002-integer-overflows-in-XpGetPrinterList-CVE-2013-2062-.
patch,
U_0003-integer-overflows-in-XpQueryScreens-CVE-2013-2062-3-.
patch
* integer overflow(s) in
XpGetAttributes/XpGetOneAttribute, XpGetPrinterList()
and XpQueryScreens() [CVE-2013-2062] (bnc#821668,
bnc#815451)


Patch Instructions:

To install this openSUSE Security Update use YaST online_update.
Alternatively you can run the command listed for your product:

- openSUSE 12.3:

zypper in -t patch openSUSE-2013-514

- openSUSE 12.2:

zypper in -t patch openSUSE-2013-514

To bring your system up-to-date, use "zypper patch".


Package List:

- openSUSE 12.3 (i586 x86_64):

libXp-debugsource-1.0.1-4.6.1
libXp-devel-1.0.1-4.6.1
libXp6-1.0.1-4.6.1
libXp6-debuginfo-1.0.1-4.6.1

- openSUSE 12.3 (x86_64):

libXp-devel-32bit-1.0.1-4.6.1
libXp6-32bit-1.0.1-4.6.1
libXp6-debuginfo-32bit-1.0.1-4.6.1

- openSUSE 12.2 (i586 x86_64):

libXp-debugsource-1.0.1-2.7.1
libXp-devel-1.0.1-2.7.1
libXp6-1.0.1-2.7.1
libXp6-debuginfo-1.0.1-2.7.1

- openSUSE 12.2 (x86_64):

libXp-devel-32bit-1.0.1-2.7.1
libXp6-32bit-1.0.1-2.7.1
libXp6-debuginfo-32bit-1.0.1-2.7.1


References:

http://support.novell.com/security/cve/CVE-2013-2062.html
https://bugzilla.novell.com/815451
https://bugzilla.novell.com/821668


< Previous Next >
This Thread
  • No further messages